=== debian/changelog ===
libapache-mod-musicindex (0.99.0) unstable; urgency=medium

  * Closes: #250241: Support for apache 2 ?
  * Closes: #250245: impossible to remove this package if apache has
    been removed
  * Closes: #250240: No upstream home page address in copyright file
  * Generated pages rework (XHMTL 1.0 strict, CSS cleanup)
  * First implementation of custom cross-directories playlists
  * Removal of useless defined values
  * Configuration change : use of On/Off-type parameters to enable/disable
    features with .htaccess files.
  * Reworked sort system.
  * Autodetect present CSS and make them available
  * Possibility to choose the default CSS file
  * Better use of AllowOverride options

 -- Thibaut VARENE <varenet@debian.org>  Sat, 29 May 2004 13:30:11 +0200

libapache-mod-musicindex (0.9.6) unstable; urgency=low

  * Fixed a segfault when streaming with apache2
  * Fixed the module signature in apache2
  * If the icecast hostname is missing, the URL hostname will be assumed

 -- Thibaut VARENE <varenet@debian.org>  Fri, 12 Mar 2004 02:00:22 +0100

libapache-mod-musicindex (0.9.5) unstable; urgency=low

  * First dupload (closes: #233245)
  * Deep rewrite and split of the code
  * We now use arrays of function pointers to deal with different file types
  * Stricter function pointers declarations
  * Cache subsystem has been rewritten to behave as a file handler itself
  * Makefile now autogenerates dependencies (quit roughly though)

 -- Thibaut VARENE <varenet@debian.org>  Sun,  8 Feb 2004 22:46:44 +0100

libapache-mod-musicindex (0.9.2) unstable; urgency=low

  * Possibility to use an external icecast server for streaming
  * Bugfix in decoding mp3 genre number in brackets
  * Alternative optimized mp3 genre number detection
  * More Apache2 tweaks and code rewrites
  * Added support for gif file as cover image
  * Added favicon
  * Added LGPL license and copyright to README

 -- Thibaut VARENE <varenet@esiee.fr>  Sun, 25 Jan 2004 18:02:08 +0100

libapache-mod-musicindex (0.9.1) unstable; urgency=low

  * Several minor bugfixes (cache, sorting, and playlist)
  * Improved search results sorting
  * Code rewrites and cleanups (got rid of ascii2uri())
  * First attempt at a better handling of stream requests

 -- Thibaut VARENE <varenet@esiee.fr>  Thu, 25 Dec 2003 16:33:12 +0100

libapache-mod-musicindex (0.9.0) unstable; urgency=low

  * Apache2 ready
  * Cache bugfix on BSD systems (EPERM/EISDIR)
  * Playlist code rewrite (merged 2 functions)
  * Code janitorial (got rid of deprecated ap_log functions)

 -- Thibaut VARENE <varenet@esiee.fr>  Wed, 12 Nov 2003 01:04:39 +0100

libapache-mod-musicindex (0.8.9) unstable; urgency=low

  * New upstream release
  * Preparing Apache 2 compat
  * Removed extra includes
  * New option to name root link
  * Reverted zlib change since libid3tag depends on it
  * Got rid of "-1" since it's a native package

 -- Thibaut VARENE <varenet@esiee.fr>  Thu, 30 Oct 2003 13:20:18 +0100

libapache-mod-musicindex (0.8.8-1) unstable; urgency=low

  * New upstream release
  * Offers field sorting in search mode
  * Enhanced error reporting through Apache logs
  * Makefile rewritten
  * Supports OSX and Solaris

 -- Thibaut VARENE <varenet@esiee.fr>  Mon, 20 Oct 2003 20:16:58 +0200

libapache-mod-musicindex (0.8.7-1) unstable; urgency=low

  * New upstream release
  * Fixes cache locking problem
  * Adds new tag field (genre)
  * Minor bugfixes

 -- Thibaut VARENE <varenet@esiee.fr>  Thu, 16 Oct 2003 00:57:38 +0200

libapache-mod-musicindex (0.8.5-1) unstable; urgency=low

  * New upstream release

 -- Thibaut VARENE <varenet@esiee.fr>  Wed, 16 Jul 2003 03:48:32 +0200

libapache-mod-musicindex (0.7.8-1) unstable; urgency=low

  * New upstream release

 -- Thibaut VARENE <varenet@esiee.fr>  Sat, 28 Jun 2003 03:03:07 +0200

libapache-mod-musicindex (0.7.7-1) unstable; urgency=low

  * Initial Release.
  * Reworked Makefile (compilation & installation procedure).

 -- Thibaut VARENE <varenet@esiee.fr>  Wed, 25 Jun 2003 17:19:38 +0200
