## libapache-mod-musicindex 0.99.5.1ubuntu1

=== debian/changelog ===
libapache-mod-musicindex (0.99.5.1ubuntu1) hoary; urgency=low

  * migrated from libflac4 from libflac6 
  * Standards Version 3.6.1.1

 -- Charles Majola <charles@ubuntu.com>  Tue, 15 Feb 2005 11:05:16 +0200

libapache-mod-musicindex (0.99.5.1) unstable; urgency=high

  * Fixes overflow on pointer arithmetics that caused server crash.

 -- Thibaut VARENE <varenet@debian.org>  Sat, 16 Oct 2004 12:48:11 +0200

libapache-mod-musicindex (0.99.5) unstable; urgency=high

  * Fixes serious breakage when apache conf doesn't have Port directive
    (closes: #271912)

 -- Thibaut VARENE <varenet@debian.org>  Sat, 18 Sep 2004 12:17:15 +0200

libapache-mod-musicindex (0.99.4) unstable; urgency=medium

  * Closes: #268921: Generates wrong streaming (.m3u) files on https

 -- Thibaut VARENE <varenet@debian.org>  Mon, 30 Aug 2004 00:16:36 +0200

libapache-mod-musicindex (0.99.3.2) unstable; urgency=high

  * Rebuild, reverting the apache2 ABI changes made in my previous NMU
  * Bump apache2 build-dep to (>= 2.0.50-10)

 -- Adam Conrad <adconrad@0c3.net>  Sat, 21 Aug 2004 06:00:15 -0600

libapache-mod-musicindex (0.99.3.1) unstable; urgency=medium

  * Rebuild with bumped build-dependencies for the apache2 LFS
    transition.  (closes: #266179)

 -- Adam Conrad <adconrad@0c3.net>  Tue, 17 Aug 2004 05:51:14 -0600

libapache-mod-musicindex (0.99.3) unstable; urgency=medium

  * Closes: #259255: MP3 handler not working with some specially crafted
    mp3 files

 -- Thibaut Varene <varenet@debian.org>  Tue, 27 Jul 2004 13:41:57 -0400

libapache-mod-musicindex (0.99.2) unstable; urgency=low

  * Added first RSS feed support
  * Cache versionning support
  * Switch to XHTML 1.1 Strict
  * Added FLAC support
  * Fix: display size when requested

 -- Thibaut VARENE <varenet@debian.org>  Sat, 10 Jul 2004 02:43:56 +0200
