=== debian/control ===
Source: libapache-mod-musicindex
Section: web
Priority: optional
Maintainer: Thibaut VARENE <varenet@debian.org>
Build-Depends: debhelper (>> 4.0.0), apache-dev (>= 1.3.0), apache2-threaded-dev (>= 2.0.50-10), libvorbis-dev, libid3tag0-dev, libmad0-dev, libflac-dev
Standards-Version: 3.6.1.1

Package: libapache-mod-musicindex
Architecture: any
Depends: mod-musicindex-common (= ${Source-Version}), apache-common (>= 1.3.0), ${shlibs:Depends}
Description: Browse, stream, download and search through MP3/Ogg files
 mod_musicindex is aimed at being a C implementation of the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis and
 FLAC files, including sorting them on various fields, streaming/downloading
 them, constructing playlists and searching.
 .
 This package contains the module for Apache 1.3.

Package: libapache2-mod-musicindex
Architecture: any
Depends: mod-musicindex-common (= ${Source-Version}), apache2-common, ${shlibs:Depends}
Description: Browse, stream, download and search through MP3/Ogg files
 mod_musicindex is aimed at being a C implementation of the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis and
 FLAC files, including sorting them on various fields, streaming/downloading
 them, constructing playlists and searching.
 .
 This package contains the module for Apache 2.0.

Package: mod-musicindex-common
Architecture: all
Depends: libapache-mod-musicindex  (= ${Source-Version}) | libapache2-mod-musicindex (= ${Source-Version})
Replaces: libapache-mod-musicindex (<< ${Source-Version})
Conflicts: libapache-mod-musicindex (<< ${Source-Version})
Description: Common files for mod-musicindex
 mod_musicindex is aimed at being a C implementation of the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis and
 FLAC files, including sorting them on various fields, streaming/downloading
 them, constructing playlists and searching.
 .
 This package includes common files between libapache-mod-musicindex and
 libapache2-mod-musicindex and is useless without any of these.
