## libapache-mod-musicindex 0.99.5.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ##  Makefile -- Build procedure for mod_musicindex Apache module
 ##  Autogenerated via ``apxs -n musicindex -g''.
 ##  Heavily tweaked by Thibaut VARENE.
-##  $Id: Makefile,v 1.39 2004/05/27 12:25:14 boudinr Exp $
+##  $Id: Makefile,v 1.41 2004/07/08 18:47:23 boudinr Exp $
 ##
 ##  @todo check BSD
 ##  @todo autoconf/automake (i18n/apache2)
@@ -15,14 +15,20 @@
 APXS = apxs2
 APACHECTL = apache2ctl
 APRCONFIG = apr-config
-APRINCDIR = $(shell $(APRCONFIG) --includes)
+APINCDIR = $(shell $(APRCONFIG) --includes)
+APCFLAGS = $(shell $(APRCONFIG) --cflags | sed -e "s/-g //" -e "s/-O.//" -e "s/-W[a-z]*//")
+APCPPFLAGS = $(shell $(APRCONFIG) --cppflags)
+#APLIBXDIR = $(shell $(APRCONFIG) --installbuilddir)
+APLIBXDIR = $(shell $(APXS) -q LIBEXECDIR)
 else
 APXS = apxs
 APACHECTL = apachectl
+APCFLAGS = $(shell $(APXS) -q CFLAGS_SHLIB | sed -e "s/-g //" -e "s/-O.//" -e "s/-W[a-z]*//")
+APLIBXDIR = $(shell $(APXS) -q LIBEXECDIR)
 endif
 
 #   additional user defines, includes and libraries
-#DEF = 
+#CPPFLAGS = 
 #INC = 
 #LIB = 
 CFLAGS = -O2 -Wall
@@ -31,17 +37,18 @@
 #   our own defines
 UNAME := $(shell uname)
 REGULAR := $(shell if [ ! -z "`uname | grep -i Linux`" ] || \
-		[ ! -z "`uname | grep -i SunOS`" ]; then \
+		[ ! -z "`uname | grep -i SunOS`" ] || \
+		[ ! -z "`uname | grep -i NetBSD`" ]; then \
 		echo Y; else echo N; fi)
-INCLUDEDIR = $(shell $(APXS) -q INCLUDEDIR)
-LIBEXECDIR = $(shell $(APXS) -q LIBEXECDIR)
+INCLUDEDIR = -I$(shell $(APXS) -q INCLUDEDIR)
+LIBEXECDIR = $(APLIBXDIR)
 LIBS_SHLIB = $(shell $(APXS) -q LIBS_SHLIB)
 
 #   the final shared object
 MOD_SO := mod_musicindex.so
 
 #   the intermediate objects
-objects := config.o html.o inf.o playlist.o playlist-mp3.o playlist-ogg.o mod_musicindex.o cache.o
+objects := config.o html.o inf.o playlist.o playlist-flac.o playlist-mp3.o playlist-ogg.o mod_musicindex.o cache.o
 
 #   the default target
 all: Makefile.dep $(MOD_SO)
@@ -49,12 +56,12 @@
 #   compile the DSO file
 $(MOD_SO): $(objects)
 ifeq ($(REGULAR),Y)
-	$(CC) -shared $(CFLAGS) $(DEF) $(LIB) -o $@ $^
+	$(CC) -shared $(CFLAGS) $(CPPFLAGS) $(LIB) -o $@ $^
 else
 ifneq ($(LIBS_SHLIB),)
-	@$(APXS) -S CC="$(CC)" -S LIBS_SHLIB="$(LIB)" -S CFLAGS="$(CFLAGS)" $(INC) $(DEF) -o $@ -c $^
+	@$(APXS) -S CC="$(CC)" -S LIBS_SHLIB="$(LIB)" -S CFLAGS="$(CFLAGS)" $(INC) $(CPPFLAGS) -o $@ -c $^
 else
-	@$(APXS) -S CC="$(CC)" -S CFLAGS="$(CFLAGS)" $(INC) $(LIB) $(DEF) -o $@ -c $^
+	@$(APXS) -S CC="$(CC)" -S CFLAGS="$(CFLAGS)" $(INC) $(LIB) $(CPPFLAGS) -o $@ -c $^
 endif
 endif
 
@@ -69,10 +76,10 @@
 #   how to compile the objects
 %.o: %.c %.h mod_musicindex.h
 ifeq ($(REGULAR),Y)
-	$(CC) $(DEF) $(INC) $(CFLAGS) -o $@ -c $<
+	$(CC) $(CPPFLAGS) $(INC) $(CFLAGS) -o $@ -c $<
 else
 # that's a dirty hack to avoid rebuilding everything when only one file was changed...
-	@$(APXS) -S CC="$(CC)" -S CFLAGS="$(CFLAGS)" $(INC) $(DEF) -o temp.so -c $<
+	@$(APXS) -S CC="$(CC)" -S CFLAGS="$(CFLAGS)" $(INC) $(CPPFLAGS) -o temp.so -c $<
 	@rm temp.so
 endif
 
@@ -118,23 +125,25 @@
 APXS = /usr/apache/bin/apxs
 APACHECTL = /usr/apache/bin/apachectl
 INSTALL = ginstall
-DEF = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DEAPI
+CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DEAPI
 override CFLAGS += -fPIC
 DOCROOT = /var/apache/htdocs
 else
 ifeq ($(UNAME),Darwin)
 DOCROOT = /Library/WebServer/Documents
 endif
-override CFLAGS += $(shell $(APXS) -q CFLAGS_SHLIB | sed -e "s/-g //" -e "s/-O.//" -e "s/-W[a-z]*//") -DEAPI
+override CFLAGS += $(APCFLAGS)
+override CPPFLAGS += -DEAPI
 endif
 
 ifeq ($(APACHE_VERSION),2)
 # piece of shit, apxs2 doesn't declare -fPIC on GNU/Linux. Won't work with gcc < 3.X
-override CFLAGS += -std=gnu99 -fPIC
+override CFLAGS += $(APCFLAGS) -std=gnu99 -fPIC
+override CPPFLAGS += $(APCPPFLAGS)
 endif
 
-override INC += -I$(INCLUDEDIR) $(APRINCDIR)
-override LIB += -lvorbis -lvorbisfile -lid3tag -lmad
+override INC += $(INCLUDEDIR) $(APINCDIR)
+override LIB += -lvorbis -lvorbisfile -lid3tag -lmad -lFLAC
 
 -include Makefile.dep
