=== debian/changelog ===
libapache-mod-musicindex (0.99.5.3) unstable; urgency=medium

  * Closes: #304732: IceCast Stream URLs pick up https from
    ap_http_method

 -- Thibaut VARENE <varenet@debian.org>  Sun, 17 Apr 2005 14:24:25 +0200

libapache-mod-musicindex (0.99.5.2) unstable; urgency=low

  * Build against new libFLAC (closes: #289388)

 -- Thibaut VARENE <varenet@debian.org>  Sun,  9 Jan 2005 14:07:40 +0100
