=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Thibaut VARENE <varenet@debian.org>
-Build-Depends: debhelper (>> 4.0.0), apache-dev (>= 1.3.0), apache2-threaded-dev (>= 2.0.50-10), libvorbis-dev, libid3tag0-dev, libmad0-dev, libflac-dev
-Standards-Version: 3.6.1.1
+Build-Depends: debhelper (>> 4.0.0), apache-dev (>= 1.3.0), apache2-threaded-dev (>= 2.0.50-10), libvorbis-dev, libid3tag0-dev, libmad0-dev, libflac-dev (>= 1.1.1-3)
+Standards-Version: 3.6.1
 
 Package: libapache-mod-musicindex
 Architecture: any
