## libapache-mod-musicindex 0.99.5.3ubuntu1

=== debian/changelog ===
libapache-mod-musicindex (0.99.5.3ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 20 Jul 2005 23:09:53 +0200
