## libapache-mod-musicindex 0.99.5.4

=== debian/changelog ===
libapache-mod-musicindex (0.99.5.4) unstable; urgency=low

  * Closes: #325946: depends on a FLAC library no longer available in
    unstable

 -- Thibaut VARENE <varenet@debian.org>  Fri,  9 Sep 2005 19:27:11 +0200
