=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Thibaut VARENE <varenet@debian.org>
-Build-Depends: debhelper (>> 4.0.0), apache-dev (>= 1.3.0), apache2-threaded-dev (>= 2.0.50-10), libvorbis-dev, libid3tag0-dev, libmad0-dev, libflac-dev (>= 1.1.1-3)
+Build-Depends: debhelper (>> 4.0.0), apache-dev (>= 1.3.0), apache2-threaded-dev (>= 2.0.50-10), libvorbis-dev, libid3tag0-dev, libmad0-dev, libflac-dev (>= 1.1.2-1)
 Standards-Version: 3.6.1
 
 Package: libapache-mod-musicindex
