## libapache-mod-musicindex 1.3.7

=== debian/changelog ===
libapache-mod-musicindex (1.3.7-2) unstable; urgency=low

  * B-Dep on apache2-threaded-dev

 -- Thibaut VARENE <varenet@debian.org>  Sat, 07 Apr 2012 15:00:07 +0200

libapache-mod-musicindex (1.3.7-1) unstable; urgency=low

  * New upstream release
  * Enable hardened build
  * Fix lintian warnings
  * Remove Apache 1.3 cruft from debian packaging

 -- Thibaut VARENE <varenet@debian.org>  Sat, 07 Apr 2012 11:02:39 +0200

libapache-mod-musicindex (1.3.6-1) unstable; urgency=low

  * Enable building and linking against libmp4v2
  * Merge patch from Suart Caie (Closes: #640025)
  * Update standards and rules

 -- Thibaut VARENE <varenet@debian.org>  Mon, 31 Oct 2011 18:41:50 +0100

libapache-mod-musicindex (1.3.5-1) unstable; urgency=low

  * Fix Content-Disposition for playlists (Closes: #595232)

 -- Thibaut VARENE <varenet@debian.org>  Thu, 02 Sep 2010 14:31:22 +0200

libapache-mod-musicindex (1.3.4-1) unstable; urgency=low

  * Make MySQL cache faster
  * Add de translation (Closes: #583926)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 06 Jun 2010 19:36:29 +0200

libapache-mod-musicindex (1.3.3-1) unstable; urgency=low

  * Fix typo that broke local RSS icon
  * Fix incorrect maths in file size computation

 -- Thibaut VARENE <varenet@debian.org>  Wed, 26 May 2010 16:07:03 +0200

libapache-mod-musicindex (1.3.2-1) unstable; urgency=low

  * Add nl translation

 -- Thibaut VARENE <varenet@debian.org>  Sun, 23 May 2010 21:56:50 +0200

libapache-mod-musicindex (1.3.1-1) unstable; urgency=medium

  * Fix missing checks in flat file cache (Closes: #568118)
  * Fix mysql cache's directory recording logic

 -- Thibaut VARENE <varenet@debian.org>  Mon, 15 Feb 2010 12:46:07 +0100

libapache-mod-musicindex (1.3.0-1) unstable; urgency=low

  * Implement the (experimental) mysql cache backend
  * Fix size output during recursive search
  * Fix showing Download List without support for tarball in custom list
  * Update autotools (Closes: #558569)

 -- Thibaut VARENE <varenet@debian.org>  Fri, 08 Jan 2010 13:18:00 +0100

libapache-mod-musicindex (1.2.5-1) unstable; urgency=low

  * Fix a couple bugs:
    - cookie overwriting
    - IE7 playlist streaming
    - broken RSS/Podcast
    - Handling of some broken MP3 files (Closes: #502149)
    - .htaccess config handling
  * Compute tarball size to be sent to the browser
  * Make pretty foldres a runtime option

 -- Thibaut VARENE <varenet@debian.org>  Mon, 16 Feb 2009 00:22:12 +0100

libapache-mod-musicindex (1.2.2-3) unstable; urgency=medium

   * Closes: #494857: Wrong Alias directive in configuration file

 -- Thibaut VARENE <varenet@debian.org>  Thu, 14 Aug 2008 21:04:00 +0200

libapache-mod-musicindex (1.2.2-2) unstable; urgency=low

   * The "lazy bastard won't roll out a new release just for translation" repack
   * pt-br translation (Closes: #479641)

 -- Thibaut VARENE <varenet@debian.org>  Thu, 24 Jul 2008 11:14:40 +0200

libapache-mod-musicindex (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Add a summary footer at the end of the songs table
  * Fix some bugs (wrong Download All in search results, bogus mp3 metadata in
    some files)
  * Improve the stylesheet a little bit

 -- Thibaut VARENE <varenet@debian.org>  Sun, 30 Mar 2008 20:44:40 +0200

libapache-mod-musicindex (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Fix 2 minor bugs (single file download and Select panel display)

 -- Thibaut VARENE <varenet@debian.org>  Wed, 22 Aug 2007 14:38:48 +0200

libapache-mod-musicindex (1.2.0-2) unstable; urgency=low

  * Rebuild against FLAC 1.1.4 (Closes: #426652)
  * Suppress apache 1.3 bits, since it's been removed from unstable

 -- Thibaut VARENE <varenet@debian.org>  Thu, 14 Jun 2007 15:42:48 +0200

libapache-mod-musicindex (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Song List now shows filenames (Closes: #416933)
  * Major code rewrite, most "palpable" changes are major speedup and reduced
    memory usage
  * Fixed a memory leak in output-tarball module
  * Fixed alphanumerical sorting of directories
  * Fixed gettext support for apache2
  * Workaround buggy libarchive build
  * Added Album to default fields
  * Added Italian translation
  * Added new status icons
  * More details in the upstream changelog

 -- Thibaut VARENE <varenet@debian.org>  Thu, 24 May 2007 18:27:01 +0200

libapache-mod-musicindex (1.1.5-2) unstable; urgency=low

  * Fix missing mo files (closes: #375596)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 11 Mar 2007 22:08:22 +0100

libapache-mod-musicindex (1.1.5-1) unstable; urgency=low

  * Fix gettext and enforce UTF-8 codeset
  * Convert all "submit" inputs to buttons, making their content translatable
  * Minor CSS improvements

 -- Thibaut VARENE <varenet@debian.org>  Sun, 11 Mar 2007 21:19:31 +0100

libapache-mod-musicindex (1.1.4-1) unstable; urgency=medium

  * Allow local "valid-*" icons (closes: #385619)
  * Document cookie limitations (closes: #388440) and local icons trick
  * Get rid of most <img> tags, replaced with CSS (closes: #381593)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 18 Feb 2007 15:39:09 +0100

libapache-mod-musicindex (1.1.3-4) unstable; urgency=medium

  * apache2-common -> apache2.2-common

 -- Thibaut VARENE <varenet@debian.org>  Sun, 29 Oct 2006 00:15:39 +0200

libapache-mod-musicindex (1.1.3-3) unstable; urgency=medium

  * The "I promise I'll test fixes harder" release

 -- Thibaut VARENE <varenet@debian.org>  Sat, 28 Oct 2006 22:43:32 +0200

libapache-mod-musicindex (1.1.3-2) unstable; urgency=medium

  * Really fix the build :P

 -- Thibaut VARENE <varenet@debian.org>  Sat, 28 Oct 2006 18:22:14 +0200

libapache-mod-musicindex (1.1.3-1) unstable; urgency=low

  * Fix configure script for apache2
  * Acknowledging NMU from Axel Beckert (Closes: #391025)

 -- Thibaut VARENE <varenet@debian.org>  Sat, 28 Oct 2006 15:35:44 +0200

libapache-mod-musicindex (1.1.2-1.1) unstable; urgency=low


