=== debian/control ===
Source: libapache-mod-musicindex
Section: httpd
Priority: optional
Maintainer: Thibaut VARENE <varenet@debian.org>
Build-Depends: debhelper (>> 7.0.0), apache2-threaded-dev, libvorbis-dev, libid3tag0-dev, libmad0-dev, libflac-dev, libarchive-dev, libmysqlclient-dev, libmp4v2-dev
Standards-Version: 3.9.3
Homepage: http://www.parisc-linux.org/~varenet/musicindex/

Package: libapache2-mod-musicindex
Architecture: any
Depends: mod-musicindex-common (= ${source:Version}), apache2.2-common, ${shlibs:Depends}, ${misc:Depends}
Description: Browse, stream, download and search through MP3/Ogg/FLAC/MP4 files
 mod_musicindex is aimed at being a C alternative to the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3, Ogg Vorbis, FLAC or
 MP4/AAC audio files, including sorting them on various fields, streaming and
 downloading them, or constructing playlists and searching.
 .
 This package contains the module for Apache 2.2.

Package: mod-musicindex-common
Section: web
Architecture: all
Depends: ${misc:Depends}
Recommends: libapache2-mod-musicindex
Description: Common files for mod-musicindex
 mod_musicindex is aimed at being a C alternative to the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis and
 FLAC files, including sorting them on various fields, streaming/downloading
 them, constructing playlists and searching.
 .
 This package includes platform independent data for libapache2-mod-musicindex
 and is useless without it.
