=== debian/watch ===
version=3

# <Webpage URL> <string match>
http://www.parisc-linux.org/~varenet/musicindex/ mod_musicindex-(.*)\.tar\.gz
