## libapache-mod-musicindex 1.4.1

=== debian/changelog ===
libapache-mod-musicindex (1.4.1-4) unstable; urgency=medium

  * QA upload.

  [ наб ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (Closes: #1049515)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * watch file standard 4 (routine-update)
  * d/rules: no sequencer -> dh
  * d/musicindex.conf: Order allow,deny/Allow from all
                    -> Require all granted
    (lintian apache2-deprecated-auth-config)
  * obsolete-url-in-packaging http://search.cpan.org/dist/Apache-MP3/
  * d/copyright: DEP-5
  * Fix time_t formatting

  [ Helge Kreutzmann ]
  * [INTL:de] updated German po file translation (Closes: #978116)

  [ Andreas Tille ]
  * Do not Build-Depend dpkg-dev
  * Remove copy of mod_musicindex.so before dh_missing call
    Closes: #968170

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 08 Dec 2024 17:51:32 +0100

libapache-mod-musicindex (1.4.1-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 01:12:58 +0100

libapache-mod-musicindex (1.4.1-3) unstable; urgency=medium

  * QA upload
  * Disable MP4 support, libmp4v2 is scheduled for removal

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 01 Feb 2019 04:04:20 +0100

libapache-mod-musicindex (1.4.1-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #830768)
  * Switch to B-D: default-libmysqlclient-dev.  (Closes: #845862)
  * Build with dh_autoreconf.  (Closes: #754414)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 13:58:32 +0100

libapache-mod-musicindex (1.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #718787, #725574)

 -- Thibaut VARENE <varenet@debian.org>  Tue, 09 Apr 2013 14:35:34 +0200

libapache-mod-musicindex (1.4.0-1) unstable; urgency=low

  * New upstream release
  * Initial support for Apache 2.4 (Closes: #666834)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 14 Oct 2012 16:23:37 +0200
