=== debian/control ===
Source: libapache-mod-musicindex
Section: httpd
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-apache2 | apache2-dev,
 apache2-dev | apache2-threaded-dev,
 libvorbis-dev,
 libid3tag0-dev,
 libmad0-dev,
 libflac-dev,
 libarchive-dev,
 default-libmysqlclient-dev,
Standards-Version: 4.7.0
Homepage: http://hacks.slashdirt.org/musicindex/
Rules-Requires-Root: no

Package: libapache2-mod-musicindex
Architecture: any
Depends: mod-musicindex-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Browse, stream, download and search through MP3/Ogg/FLAC files
 mod_musicindex is aimed at being a C alternative to the Perl module
 Apache::MP3 (https://metacpan.org/pod/Apache::MP3).
 It allows nice displaying of directories containing MP3, Ogg Vorbis or FLAC
 audio files, including sorting them on various fields, streaming and
 downloading them, or constructing playlists and searching.
 .
 This package contains the module for Apache 2.

Package: mod-musicindex-common
Section: web
Architecture: all
Depends: ${misc:Depends}
Recommends: libapache2-mod-musicindex
Description: Common files for mod-musicindex
 mod_musicindex is aimed at being a C alternative to the Perl module
 Apache::MP3 (https://metacpan.org/pod/Apache::MP3).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis and
 FLAC files, including sorting them on various fields, streaming/downloading
 them, constructing playlists and searching.
 .
 This package includes platform independent data for libapache2-mod-musicindex
 and is useless without it.
