=== debian/rules ===
--- 
+++ 
@@ -21,12 +21,13 @@
 	--infodir=\$${prefix}/share/info \
 	$(shell dpkg-buildflags --export=configure)
 
-config.status: build-2.2/config.status
+config.status: build/config.status
 
-build-2.2/config.status: configure
+build/config.status: configure
 	dh_testdir
-	-mkdir build-2.2
-	cd build-2.2 && CFLAGS="$(CFLAGS)" ../configure $(CONFIGURE_FLAGS) --with-apxs=apxs2 && make -C po update-gmo
+	-mkdir build
+	dh_autoreconf
+	cd build && ../configure $(CONFIGURE_FLAGS) --with-apxs=apxs2 && make -C po update-gmo
 
 #Architecture 
 build: build-arch build-indep
@@ -37,7 +38,7 @@
 	dh_testdir
 
 	# Add here commands to compile the arch part of the package.
-	$(MAKE) -C build-2.2
+	$(MAKE) -C build
 
 	touch build-stamp
 
@@ -47,8 +48,8 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-rm -rf build-2.2
-
+	-rm -rf build
+	dh_autoreconf_clean
 	dh_clean
 
 install: build-stamp
@@ -59,9 +60,10 @@
 
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
-	$(MAKE) -C build-2.2 install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) -C build install DESTDIR=$(CURDIR)/debian/tmp
 
 	dh_install
+	dh_apache2
 
 # Must not depend on anything. This is to be called by
 # binary-arch/binary-indep
