=== debian/watch ===
version=4

# <Webpage URL> <string match>
http://hacks.slashdirt.org/musicindex/ mod_musicindex-(.*)\.tar\.gz
